package com.tmerclub.cloud.biz.vo;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * @author gaozijie
 * @date 2023-11-01
 */
public class PreSignUrlVO {

    @Schema(description = "文件目录路径")
    private String dir;

    @Schema(description = "文件名")
    private String fileName;

    @Schema(description = "预签名url")
    private String preSignUrl;

    public PreSignUrlVO() {
    }

    public String getDir() {
        return dir;
    }

    public void setDir(String dir) {
        this.dir = dir;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getPreSignUrl() {
        return preSignUrl;
    }

    public void setPreSignUrl(String preSignUrl) {
        this.preSignUrl = preSignUrl;
    }

    @Override
    public String toString() {
        return "PreSignUrlVO{" +
                "dir='" + dir + '\'' +
                ", fileName='" + fileName + '\'' +
                ", preSignUrl='" + preSignUrl + '\'' +
                '}';
    }
}
